diff -u -r1.1 chan_skinny.c
--- channels/chan_skinny.c	11 Sep 2003 19:44:13 -0000	1.1
+++ channels/chan_skinny.c	13 Sep 2003 00:36:25 -0000
@@ -2472,9 +2482,10 @@
 		skinnysock = -1;
 	}
 	if (skinnysock < 0) {
+		on = 1;
 		skinnysock = socket(AF_INET, SOCK_STREAM, 0);
-		if(!setsockopt(skinnysock,SOL_SOCKET,SO_REUSEADDR,&on,0)) {
-			ast_log(LOG_ERROR, "Set Socket Options failed: %s", strerror(errno));
+		if(setsockopt(skinnysock, SOL_SOCKET, SO_REUSEADDR, &on, sizeof(on)) == -1) {
+			ast_log(LOG_ERROR, "Set Socket Options failed: errno %d, %s", errno, strerror(errno));
 			return 0;
 		}
 
